Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface LocalizedString

public interface LocalizedString

This interface is used as a simple wrapper interface that associates a String with its Locale. The interface is needed in the InternationalString interface where a Collection of LocalizedString instances are kept. Each LocalizedString instance has a Locale and a String instance.

Author:
  Farrukh S. Najmi
See Also:
  `InternationalString`

Field Summary
`static java.lang.String` | `DEFAULT_CHARSET_NAME` The default name returned by getCharsetName if no other name has explicitly been set.

Method Summary
`java.lang.String` | `getCharsetName()` Gets the canonical name for the charset for this object.
`java.util.Locale` | `getLocale()` Get the Locale for this object.
`java.lang.String` | `getValue()` Get the String value for this object.
`void` | `setCharsetName(java.lang.String charsetName)` Set the canonical name for the charset for this object.
`void` | `setLocale(java.util.Locale locale)` Set the Locale for this object.
`void` | `setValue(java.lang.String value)` Set the String value for the specified object.

Field Detail

### DEFAULT_CHARSET_NAME

    public static final java.lang.String DEFAULT_CHARSET_NAME

  The default name returned by getCharsetName if no other name has explicitly been set.

  See Also:
    Constant Field Values

Method Detail

### getCharsetName

    public java.lang.String getCharsetName()
                                    throws JAXRException

  Gets the canonical name for the charset for this object. Must return the default charset when there is no charset name defined.

  Capability Level: 0

  Returns:
    the character set name for the character set used by this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `DEFAULT_CHARSET_NAME`

### getLocale

    public java.util.Locale getLocale()
                               throws JAXRException

  Get the Locale for this object. Must return the default Locale when no Locale has been defined.

  Capability Level: 0

  Returns:
    the Locale used by this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `Locale.getDefault()`

### getValue

    public java.lang.String getValue()
                              throws JAXRException

  Get the String value for this object.

  Capability Level: 0

  Returns:
    the value defined by this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setCharsetName

    public void setCharsetName(java.lang.String charsetName)
                        throws JAXRException

  Set the canonical name for the charset for this object.

  Capability Level: 0

  Parameters:
    `charsetName` - the character set name for the character set used by this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setLocale

    public void setLocale(java.util.Locale locale)
                   throws JAXRException

  Set the Locale for this object.

  Capability Level: 0

  Parameters:
    `locale` - the Locale used by this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setValue

    public void setValue(java.lang.String value)
                  throws JAXRException

  Set the String value for the specified object.

  Capability Level: 0

  Parameters:
    `value` - the value defined by this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.